Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 641268

Summary: CoC ban for mgorny
Product: Community Relations Reporter: Matthew Thode ( prometheanfire ) <prometheanfire>
Component: Developer RelationsAssignee: Gentoo Community Relations Team <comrel>
Status: RESOLVED FIXED    
Severity: normal CC: idl0r, mail, mgorny, polynomial-c, ulm
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://bugs.gentoo.org/show_bug.cgi?id=610596
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 610596    

Description Matthew Thode ( prometheanfire ) archtester Gentoo Infrastructure gentoo-dev Security 2017-12-16 11:00:56 UTC
From the CoC.

Unacceptable behaviour
    1. Flaming and trolling. What is trolling? You are deemed to be trolling if you make comments intended to provoke an angry response from others. What is flaming? Flaming is the act of sending or posting messages that are deliberately hostile and insulting.
    2. Posting/participating only to incite drama or negativity rather than to tactfully share information.
    3. Being judgmental, mean-spirited or insulting. It is possible to respectfully challenge someone in a way that empowers without being judgemental.
    4. Constantly purveying misinformation despite repeated warnings.

I believe mgorny is violating at least 1 and 3, possibly 2 as well.

# grep mgorny irclogs/Freenode/#gentoo-*.log -a | grep idiot | wc -l
101

That's just for one word and I think it fulfills number 3 to be violated at the very least.

Sometimes in dealing with him I've noticed that he seems to be deliberately obtuse, this has not happened recently with me as I have not had to deal with him much recently, but I have noticed it generally.  I believe this to be trolling, meaning number 1 is violated.

I cannot say why he posts, so I cannot prove number 2 is violated (I think it's unprovable and should be rewritten).

I do not think number 4 is violated, despite being hard to work with he generally does good work (even if I don't agree with the decisions, from what I've seen the technical aspects are generally sound).
Being good at your job doesn't give you the right to violate CoC though.

I'm not sure about his behaviour on the mailing lists, most of my interaction with him has been via IRC.

This is driving away other developers (as seen by zlg leaving just recently).  He was also our Treasurer.

I'd like to see a IRC/mailing list ban for some amount of time, or some form of remediation for this.  If this is ignored we'll just keep hemorrhaging people (I'm not the only one that's considered it).

Reproducible: Always
Comment 1 Lars Wendler (Polynomial-C) gentoo-dev 2017-12-16 11:33:16 UTC
I second this request. 

His behavior towards other developers is abusive, rude and arrogant. He's demotivating people to the point where they stop to contribute to Gentoo because of him. zlg is the most recent example but I know of at least three other (former) devs who retired or stopped contributing because of him.
Although having tremendous technical skills that should not outweigh his lack of social skills. I believe that despite his valuable technical contributions in the long term he would harm Gentoo more than he would provide benefits.
Comment 2 Christian Ruppert (idl0r) archtester Gentoo Infrastructure gentoo-dev Security 2017-12-16 12:35:29 UTC
(In reply to Lars Wendler (Polynomial-C) from comment #1)
> I second this request. 
> 
> His behavior towards other developers is abusive, rude and arrogant. He's
> demotivating people to the point where they stop to contribute to Gentoo
> because of him. zlg is the most recent example but I know of at least three
> other (former) devs who retired or stopped contributing because of him.
> Although having tremendous technical skills that should not outweigh his
> lack of social skills. I believe that despite his valuable technical
> contributions in the long term he would harm Gentoo more than he would
> provide benefits.

I totally agree with Lars.
Comment 3 Ulrich Müller gentoo-dev 2017-12-16 19:20:06 UTC
(In reply to Matthew Thode ( prometheanfire ) from comment #0)
> # grep mgorny irclogs/Freenode/#gentoo-*.log -a | grep idiot | wc -l
> 101

Your list will most certainly contain false positives, like others saying "this code from mgorny is idiotic", or unrelated words (e.g. "idiotope").

Apart from that, I think that grepping for a single word out of context cannot be the basis for filing a comrel bug. The couple of true matches I found in my limited backlog of #-dev appear to be quite harmless, and AFAICS nobody was offended by them.
Comment 4 Matthew Thode ( prometheanfire ) archtester Gentoo Infrastructure gentoo-dev Security 2017-12-27 23:14:22 UTC
what are the next steps here?
Comment 5 Andreas K. Hüttel gentoo-dev 2018-01-06 16:54:28 UTC
(In reply to Matthew Thode ( prometheanfire ) from comment #4)
> what are the next steps here?

We discussed it and sent a formal warning backed by a majority of team members. As long as nothing new comes up we consider this issue closed.
Comment 6 Matthew Thode ( prometheanfire ) archtester Gentoo Infrastructure gentoo-dev Security 2018-01-06 23:35:12 UTC
Thanks, without more specifics that was all I was asking for.
Comment 7 Jeroen Roovers gentoo-dev 2018-01-28 20:07:29 UTC
(In reply to Ulrich Müller from comment #3)
> (In reply to Matthew Thode ( prometheanfire ) from comment #0)
> > # grep mgorny irclogs/Freenode/#gentoo-*.log -a | grep idiot | wc -l
> > 101
> 
> Your list will most certainly contain false positives, like others saying
> "this code from mgorny is idiotic", or unrelated words (e.g. "idiotope").

I left most #gentoo-dev a long time ago because of several people's abuse, so doing the same grep doesn't give me nearly as many hits.

> Apart from that, I think that grepping for a single word out of context
> cannot be the basis for filing a comrel bug. The couple of true matches I
> found in my limited backlog of #-dev appear to be quite harmless, and AFAICS
> nobody was offended by them.

A superficial glance shows that there might be two or three false positives. The rest match mgorny's alleged attitude problem spot on.

$ grep mgorny irclogs/freenode/#gentoo-*/*.log -a | grep idiot
irclogs/freenode/#gentoo-bugs/20150705.log:22:31:21 +<willikins> New bug: https://bugs.gentoo.org/554038 "media-gfx/imagemagick-6.9.1.7: has idiotic *FLAGS sanitization that breaks CFLAGS"; Gentoo Linux, Applications; CONF; mgorny:graphics
irclogs/freenode/#gentoo-commits/20150708.log:03:39:57  <willikins> gentoovcs: https://bugs.gentoo.org/554038 "media-gfx/imagemagick-6.9.1.7: has idiotic *FLAGS sanitization that breaks CFLAGS"; Gentoo Linux, Applications; CONF; mgorny:graphics
irclogs/freenode/#gentoo-commits/20150708.log:03:39:58  <willikins> gentoovcs: https://bugs.gentoo.org/554038 "media-gfx/imagemagick-6.9.1.7: has idiotic *FLAGS sanitization that breaks CFLAGS"; Gentoo Linux, Applications; CONF; mgorny:graphics
irclogs/freenode/#gentoo-dev/20110615.log:15:40:03 @<mgorny> they're using some idiotic statistics which sends http requests on random clicks on nothing
irclogs/freenode/#gentoo-dev/20111212.log:10:20:45 @<mgorny> bonsaikitten: TBH, MS Office is bad mostly because of idiots using it and being unable to format documents correctly
irclogs/freenode/#gentoo-dev/20111212.log:10:22:26 @<mgorny> plain broken are all WYSIWYG editors which let people write idiotic documents
irclogs/freenode/#gentoo-dev/20120514.log:09:59:43 @<mgorny> yes. and an init.d script should be a such 'Fachidiot' as well
irclogs/freenode/#gentoo-dev/20120621.log:14:47:07 @<hparker> mgorny: Then idiots like me need to not reply to him
irclogs/freenode/#gentoo-dev/20120623.log:19:02:03 @<mgorny> antarus: as far as i understand his concerns, he has implemented an idiotic feature and now saying we're using slots incorrectly
irclogs/freenode/#gentoo-dev/20120623.log:19:02:40 @<antarus> mgorny: I don't think his feature is idiotic
irclogs/freenode/#gentoo-dev/20120808.log:17:31:21 @<mgorny> I waste more time answering idiotic complaints than doing something useful.
irclogs/freenode/#gentoo-dev/20120810.log:20:53:46 @<mgorny> bonsaikitten: don't you think it's really idiotic to have two different bundles under random useflag?
irclogs/freenode/#gentoo-dev/20120824.log:12:59:25 @<mgorny> not to mention our idiotic ChangeLogs.
irclogs/freenode/#gentoo-dev/20120903.log:00:24:48 @<mgorny> because it's idiotic and broken
irclogs/freenode/#gentoo-dev/20120905.log:10:51:51 @<mgorny> also, what fedora-idiot keeps generated files in VCS?
irclogs/freenode/#gentoo-dev/20120912.log:13:49:27 @<mgorny> if we didn't want those idiotic CVS $Header$ thingies, normal people could work on git already, and just push back the changes to CVS
irclogs/freenode/#gentoo-dev/20130110.log:22:40:51 @<mgorny> hardcoding paths is usually the most idiotic approach to everything
irclogs/freenode/#gentoo-dev/20130628.log:04:39:17 @<mgorny> some idiot moved exam to 7.30 AM
irclogs/freenode/#gentoo-dev/20140817.log:11:18:42 @<mgorny> dwfreed: likely because some idiot at microsoft decided it's great if last portion of guid was 6-byte long
irclogs/freenode/#gentoo-dev/20140817.log:12:10:34 @<mgorny> so it's complete idiotism
irclogs/freenode/#gentoo-dev/20140912.log:11:05:31 @<xiaomiao> mgorny: insult everyone, claim they are idiots, then use their software for a few years?
irclogs/freenode/#gentoo-dev/20140912.log:22:29:12 @<mgorny> guy's clearly an idiot
irclogs/freenode/#gentoo-dev/20140912.log:22:32:36 @<Zero_Chaos> mgorny: he isn't an idiot, it seems quit clearly allowed. he is an asshole, not an idiot
irclogs/freenode/#gentoo-dev/20141120.log:13:43:26 @<mgorny> what an idiot wrote scons...
irclogs/freenode/#gentoo-dev/20141127.log:00:08:30 @<mgorny> it's just like some bunch of idiots seen some java, seen some django, seen some ror and made that
into one horrible mess in php because obviously that's a very good solution for everything
irclogs/freenode/#gentoo-dev/20141207.log:18:06:18 @<mgorny> also the guy's an idiot or poor english he has
irclogs/freenode/#gentoo-dev/20141209.log:01:45:36 @<mgorny> i forgot that people are idiots and can't do proper XML
irclogs/freenode/#gentoo-dev/20141213.log:10:28:09 @<mgorny> those idiots append to LD_LIBRARY_PATH like that was supposed to append after system paths...
irclogs/freenode/#gentoo-dev/20150103.log:18:47:58 @<mgorny> Poly-C: do you think it would be inappropriate if i posted a comment containing the word 'idiots'
over 10 times?
irclogs/freenode/#gentoo-dev/20150108.log:19:57:36 @<mgorny> what would be your preferred low-maintenance idiot-proof distro?
irclogs/freenode/#gentoo-dev/20150110.log:12:45:38 @<mgorny> blueness: now i'm starting to think tor and samba are made by the same idiots
irclogs/freenode/#gentoo-dev/20150130.log:23:11:41 @<mgorny> that features/ is some idiotic idea that should be killed
Comment 8 William L. Thomson Jr. 2018-04-02 23:27:52 UTC
This has been going on for years... I reported mgonry conduct, use of fowl language and other in #gentoo-irc back on 10/16/2015. I received NO response from comrel... Nothing happened at all. I guess I needed to file a bug. I wonder how many know to do such.

He has also sought to defame me on list, speaking poorly about my skills
https://archives.gentoo.org/gentoo-project/message/07b4ddf74611a8f3f9d9b76351ead1ed

Despite me providing factual links to show his inaccuracies, I did not base it off my opinion. Which in that post, is pure opinion, no links provided to prove my incompetency. But one should NEVER speak on public lists that way about another. Never someone in any form of leadership or should be put in such role. It sends a very bad message to others...

Not to mention the following, accusing another of being me... They had no idea who I was, till they were accused of being me...
https://archives.gentoo.org/gentoo-dev/message/a6008dc2d2ebf57a90e1912ea53b1484

How do you think that person felt? They were not speaking well of me, and then they say another is a fake me. So they insult another immediately...

It goes on and on.... But the best part, one of my last interactions with him in #gentoo-java was over open PRs on Github. Which the oldest is for Tomcat, which I used to maintain. Funny how mgorny never worked that, but insults the one person who could and would, and did long ago in my overlay...

2yr old PR...
https://github.com/gentoo/gentoo/pull/1358

I recall mgorny talking about leaving Gentoo in #gentoo-java, all of which I have logs of. To which I despite my dislike and distaste for him, said I would not... Though that was before he became much worse. Still I am not big on action being taken against anyone. If anything needs to learn to take some of his own medicine.

Still I do not see people wanting to work with him, and I do not feel his QA actually leads to good improvements. Python is freaking mess and nightmare. I manage over 1k Java ebuilds going from 1.8, to 9, now on 10, and soon 11. Without such madness as Python Compat.

But how does mgorny respond? By making fun of me with some story justifying his crazy python system....
https://blogs.gentoo.org/mgorny/2017/01/20/the-tale-of-pythonia/

I think this really reflects more on others than mgorny. He is just one, and a symptom of the larger problem. I blame others more than him. He came into Gentoo with such an atmosphere. Mgorny is simply a product of Gentoo's horrible environment....

None of this makes me happy. It is sad all around. That people feel it is beneficial to interact with others in such manners... But it is long over due, that something mus tbe done. That he is council, representing Gentoo at its highest level ,its technical body, supposedly running the project....

This is all reason why the council should not exist... They have no clue of his conduct, and others can vote someone like this to lead Gentoo... The whole thing is messed up bad!!!!

Need more examples?
Comment 9 William L. Thomson Jr. 2018-04-02 23:28:31 UTC
(In reply to William L. Thomson Jr. from comment #8)
> This has been going on for years... I reported mgonry conduct, use of fowl
> language and other in #gentoo-irc back on 10/16/2015. I received NO response
> from comrel... Nothing happened at all. I guess I needed to file a bug. I
> wonder how many know to do such.

Sorry #gentoo-java